
import { _decorator, Component, Node, Animation } from 'cc';
import { ModalOpacity } from '../UIFrame/config/SysDefine';
import { ModalType } from '../UIFrame/Struct';
import { UIWindow } from '../UIFrame/UIWindow';
const { ccclass, property } = _decorator;

@ccclass('LoadingPanel')
export class LoadingPanel extends UIWindow {
    modalType = new ModalType(ModalOpacity.OpacityHalf, true, false);
    @property(Node) aniNode: Node = null;

    start() {

    }

    onInit() {
      const ani=  this.aniNode.getComponent(Animation);
      console.log(" ani.default="+ani.defaultClip.name);
      ani.play();
      
    }

}
